Categories:
  - Games
License: GPL-2.0-or-later
AuthorName: Andy Balaam and the Rabbit Escape developers
AuthorEmail: rabbitescape@artificialworlds.net
WebSite: http://artificialworlds.net/rabbit-escape
SourceCode: https://github.com/andybalaam/rabbit-escape
IssueTracker: https://github.com/andybalaam/rabbit-escape/issues
Changelog: https://github.com/andybalaam/rabbit-escape/releases

AutoName: Rabbit Escape
Summary: Lemmings-like puzzle/action game
Description: |-
    Hundreds of levels of puzzling action!

    * Help your rabbits find their way from the entrance to the exit.
    * If you rescue enough rabbits, you can go on to the next level.
    * Control your rabbits by dropping tokens that give them special abilities.
    * Choose abilities like bridge-building, climbing and digging.
    * Make your own levels.

RepoType: git
Repo: https://github.com/andybalaam/rabbit-escape

Builds:
  - versionName: 0.10.2
    versionCode: 102
    disable: old failing build, needs sox
    commit: v0.10.2
    subdir: rabbit-escape-ui-android/app
    gradle:
      - paid
    build:
      - cd ../..
      - make android-pre-fdroid

  - versionName: 0.10.3
    versionCode: 103
    commit: v0.10.3
    subdir: rabbit-escape-ui-android/app
    gradle:
      - paid
    build:
      - cd ../..
      - make android-pre-fdroid

  - versionName: '0.11'
    versionCode: 110
    commit: v0.11
    subdir: rabbit-escape-ui-android/app
    sudo:
      - apt-get update
      - apt-get install -y python3-lxml
    gradle:
      - paid
    build:
      - cd ../..
      - make android-pre-fdroid

  - versionName: '0.13'
    versionCode: 130
    commit: v0.13
    subdir: rabbit-escape-ui-android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python3-lxml inkscape graphicsmagick-imagemagick-compat
    gradle:
      - paid
    rm:
      - lib
    build:
      - cd ../..
      - make android-pre-fdroid

  - versionName: 0.13.1
    versionCode: 131
    commit: v0.13.1
    subdir: rabbit-escape-ui-android/app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python3-lxml inkscape graphicsmagick-imagemagick-compat
    gradle:
      - paid
    rm:
      - lib
    build:
      - cd ../..
      - make android-pre-fdroid

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v\d+\.\d+(\.\d+)?
CurrentVersion: 0.13.1
CurrentVersionCode: 131
